Subject: How do you compile wu-ftpd in solaris 2.4/2.5?

From: Kim Holburn <[email-masked]>
Date: Thu, 31 Oct 1996 10:15:45 +1100

At 2:03 PM +1000 25/10/96, Kim Holburn wrote:
>running on Solaris 2.4 sun4c
compiling on Solaris 2.5 sun4u

I recompiled wu-ftpd with a few extra lines after all the includes

#if defined(SVR4) || defined(ISC)
#include <fcntl.h>
#ifdef SOLARIS_21
#undef F_SETOWN
#endif
#endif

that was the only way I could see to get rid of F_SETOWN.  I will have to
do that with the other binaries too I suppose.  But there is still
something clearly wrong because it doesn't seem to be able to open the data
connection. Since it is put back into the source in the lines in ftpd.c
that say:

-------
list
425 Can't build data connection: Address family not supported by protocol
family

#tail /var/adm/messages
Oct 26 19:11:44 fred ftpd[1066]: setsockopt (SO_OOBINLINE): Invalid argument
-------

How do you compile wu-ftpd under solaris since clearly the configure
doesn't get it right.

Kim

--
+-------------------------+--------------------------------------------+
| Kim Holburn             |  Internet : [email-masked]            |
| Computer Centre ISD     |  PGP Public Key :                          |
| University of Canberra  |   finger -l [email-masked] |
| PO Box 1 Belconnen      |  Phone    : (06)201 5512, (06)201 5500     |
| ACT  Australia  2617    |  Fax      : (06)201 5502, (06)201 5501     |
+-------------------------+--------------------------------------------+
|      born again and again and again and again and again buddhist     |
|                      well... in a previous life anyway  :-)          |
+----------------------------------------------------------------------+

---

From: Kim Holburn <[email-masked]>
Date: Fri, 1 Nov 1996 11:22:55 +1100

I'm just about to give up and run Sun ftpd.  At least it works without grief.

>compiling on Solaris 2.5 sun4u

I got wu-ftpd-2.4.2-beta-11

After changing some path names (in src/config/config.sol)I did ran the
"build sol" command.

ckconfig checks out.  I'm running it on port 4021

----------------------------------
#telnet fred 4021
Trying 137.92.10.2...
Connected to fred.canberra.edu.au.
Escape character is '^]'.
220 fred FTP server (Version wu-2.4.2-academ[BETA-11](5) Fri Nov 1 10:53:34 ES
T 1996) ready.
user ftp
331 Guest login ok, send your complete e-mail address as password.
pass kim@csc
230 Guest login ok, access restrictions apply.
list
425 Can't build data connection: Connection refused.
cwd pub
250 CWD command successful.
quit
221 Goodbye.
Connection closed by foreign host.
Exit 1
#
----------------------------------
running the ftpd directly:
# /usr/local/lib/ftpd/ftpd
220 fred FTP server (Version wu-2.4.2-academ[BETA-11](5) Fri Nov 1 10:53:34 ES
T 1996) ready.
user ftp
331 Guest login ok, send your complete e-mail address as password.
pass kim@csc
230 Guest login ok, access restrictions apply.
cwd pub
250 CWD command successful.
list
425 Can't build data connection: Address family not supported by protocol
family
.
quit
221 Goodbye.
#
----------------------------------
from /var/adm/messages

Nov  1 11:06:09 fred ftpd[8635]: getpeername (../lib/ftpd/ftpd): Invalid argum
ent
Nov  1 11:06:09 fred ftpd[8635]: getsockname (../lib/ftpd/ftpd): Invalid argum
ent
Nov  1 11:06:09 fred ftpd[8635]: setsockopt (IP_TOS): Invalid argument
Nov  1 11:06:09 fred ftpd[8635]: setsockopt (SO_OOBINLINE): Invalid argument
Nov  1 11:06:09 fred ftpd[8635]: fcntl F_SETOWN: Invalid argument

Now that's with the standard build with a change of pathnames in
src/config/config.sol  The first 2 messages show change of pathnames
clearly has problems but I am still basically getting the same messages
when I try to open the data port.  F_SETOWN is #undef in the standard
solaris setting, so what gives?

Kim